#include <bits/stdc++.h>
using namespace std;

int main() {

    long long m, n, k;
    cin >> m >> n >> k;
    vector <long long> sums(n);

    sums[0] = n * (n - 1) / 2;
    sums[n - 1] = sums[0] + 2 * (n - 1) * n;
    long long add = 4 * (n - 1) - 1, br = n - 1;

    for (int i = 1; i <= n / 2; i++) {
        sums[i] = sums[i - 1] + add * br + 1;
        add -= 8;
        br -= 2;
    }

    add = 4 * n - 9;
    br = n - 2;

    for (int i = n - 2; i > n / 2; i--) {
        sums[i] = sums[i + 1] + add * br;
        add -= 8;
        br -= 2;
    }

    cout << sums[k - 1] + n * m << endl;
    return 0;

}
/// 10 71 86 36 33
